$section: #ffe1e1;
$gray: #f8f8f8;
$text-gray: #383838;

header {
  width: 100%;
  background-color: #fff;
  margin-bottom: 50px;
  display: flex;
  align-items: center;

  .mobile__menu {
    display: none;
  }

  .right-arrow {
    display: none;
  }

  nav {
    display: flex;
    justify-content: space-between;
    align-items: center;

    .right .ham {
      display: none;
    }
  }

  nav .left {
    display: flex;
    justify-content: space-evenly;
    align-items: center;

    .logo,
    .menu ul li {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .logo {
      margin-right: 20px;
      color: red;
      padding: 20px 10px 20px 0;
    }

  }
}

.menu a {
  text-decoration: none;
  color: $text-gray;
  padding: 20px 10px 20px;
  transition: background-color 200ms ease-in-out;

  &:hover {
      background-color: lightgray;
    }

  &.active {
    background-color: lightgray;
  }
}

.menu ul {
  display: flex;
  justify-content: space-between;
  margin: 0;
}

.right a {
  text-decoration: none;
}

.right-arrow {
  border-color: transparent red;
  border-style: solid;
  border-width: 8px 0px 8px 8px;
  height: 0px;
  width: 0px;
  transition: transform 200ms ease;

  &.open {
    transform: rotate(90deg);
  }

  &:hover {
    cursor: pointer;
  }
}

@media screen and (max-width: 480px) {
  header .mobile__menu {
    display: block;
    max-height: 0;
    overflow: hidden;
    transition: max-height 200ms ease-out;

    ul {
      margin-bottom: 20px;
      padding: 0;
      list-style-type: none;
    }

    li {
      width: 100%;

      a {
        text-decoration: none;
        display: block;
        color: inherit;
        padding: 5px 0;
        transition: background-color 200ms ease;
        width: 100%;


        &:hover {
          background-color: lightgray;
        }
      }


    }
  }

  header .right-arrow {
    display: block;
  }

  .menu {
    display: none;
  }
}
